#! /bin/sh

if [ "$MODEL_TYPE" = "2200" -o "$MODEL_TYPE" = "2800" ]; then
   DEVICE="/dev/hda"
elif [ "$MODEL_TYPE" = "N70" ]; then
   DEVICE="/dev/hdd"
else
   DEVICE="/dev/hda"  
fi

if [ "$MODEL_TYPE" != "BIOS" ]; then
   /sbin/mke2fs -m0 -b1024 -N1024 ${DEVICE}1
   /sbin/mke2fs -m0 -b1024 -N1024 ${DEVICE}2

   # Set up the super blocks
   /sbin/clear-e2c ${DEVICE}1
   /sbin/clear-e2c ${DEVICE}2
else
   /sbin/mkfs.ext3 ${DEVICE}2
   /sbin/mkfs.ext3 ${DEVICE}3
fi
