#!/bin/sh
#####################################
# 
# Determine if profile saves to the boot location 
# will succeed.
#
# "True" = save supported 
#####################################

. /IBM/bin/profile.functions


conditional_umount /tmp/profile/mnt/profiles
mkdir -p /tmp/profile/mnt/profiles
if [ "$BOOTSOURCE" != "flash" ]; then
   URL="nfs://$server`dirname $serverBaseDir`/profiles"
else
   URL="boot://127.0.0.1/nstation/profiles"
fi

if conditional_mount $URL /tmp/profile/mnt/profiles; then
   if mktemp -u /tmp/profile/mnt/profiles/ro_test.XXXXXX >/dev/null 2>&1; then
      rc="True"
   fi
   conditional_umount /tmp/profile/mnt/profiles
fi

if [ "$rc" = "True" ]; then
   echo $rc
   exit 0
else
   echo False
   exit 1
fi


