#!/bin/sh

#####################################
echo "Creating base flash image files"
#####################################
rm -Rf tmp/build_output/*
rm -Rf tmp/mnt/serverhost/*
rm -Rf tmp/DOM/*
rm -Rf tmp/configs/*
rmdir tmp/build_output

mkdir tmp/DOM
mkdir tmp/configs
mkdir tmp/DOM/configs
mkdir tmp/base
mkdir tmp/build_output
mkdir -p ${BOOT_DIR}/IBM/update/base

###############################
echo "Creating base_2x00.tgz"
Common/scripts/createBase2x00.sh

rm -Rf tmp/build_output/*
rm -Rf tmp/mnt/serverhost/*
rm -Rf tmp/DOM/*
rm -Rf tmp/configs/*
mkdir tmp/DOM/configs

echo "Creating base_n70.tgz"
Common/scripts/createBaseN70.sh

rm -Rf tmp/build_output/*
rm -Rf tmp/mnt/serverhost/*
rm -Rf tmp/DOM/*
rm -Rf tmp/configs/*
mkdir tmp/DOM/configs

###############################

###############################
# Moved call to createBaseCramfs.sh to tl_install.sh in order
# to create base.cramfs before calling the Java application that
# updates the IDFs and SDFs.
#
#echo "Creating base.cramfs"
#Common/scripts/createBaseCramfs.sh
###############################

rm -Rf tmp/DOM
rm -Rf tmp/base
rm -Rf tmp/configs

###############################
echo "Done creating base flash image files"
###############################
