#!/bin/sh

######################################################
echo -e "\t--creating DOM directories for bin sbin and lib"
######################################################
mkdir ${BOOT_DIR}/tmp/DOM
mkdir ${BOOT_DIR}/tmp/DOM/base
mkdir ${BOOT_DIR}/tmp/DOM/base/bin
mkdir ${BOOT_DIR}/tmp/DOM/base/sbin
mkdir ${BOOT_DIR}/tmp/DOM/base/sbin/pam_filter
mkdir ${BOOT_DIR}/tmp/DOM/base/lib
mkdir ${BOOT_DIR}/tmp/DOM/base/lib/modules
mkdir ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM
ln -sf /usr/lib/security ${BOOT_DIR}/tmp/DOM/base/lib/security
mkdir ${BOOT_DIR}/tmp/DOM/base/local

###########################################################
echo -e "\t--copying files in bin"
###########################################################
cp -d ${BOOT_DIR}/bin/* ${BOOT_DIR}/tmp/DOM/base/bin
cp ${BOOT_DIR}/IBM/Custom/Flash/host ${BOOT_DIR}/tmp/DOM/base/bin

###########################################################
echo -e "\t--removing unnecessary files from /bin"
###########################################################
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/ash*
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/mkfs.msdos
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/mkraid
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/mkreiserfs
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/raid*
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/reiserfsck
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/fsck.jfs
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/mkfs.jfs
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/ex
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/rpm
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/zsh*
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/tcsh
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/ksh
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/gawk-3.0.6
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/netstat
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/egrep
rm -f ${BOOT_DIR}/tmp/DOM/base/bin/fgrep

cp ${BOOT_DIR}/usr/bin/expr ${BOOT_DIR}/tmp/DOM/base/bin

##########################################################
echo -e "\t--copying files in sbin"
##########################################################
cp -d ${BOOT_DIR}/sbin/* ${BOOT_DIR}/tmp/DOM/base/sbin
cp ${BOOT_DIR}/usr/sbin/dhclient-script ${BOOT_DIR}/tmp/DOM/base/sbin

##########################################################
echo -e "\t--removing unnecessary files from /sbin"
##########################################################
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mkfs.fsdos
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/minix
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mkfs.ext3
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fsck.ext3
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fsck.minix
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fsck.msdos
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/ipchain*

rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/sash
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/dname
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/sln
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/vgetty
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/restore
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mgetty
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fdisk
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/dump
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/ppp-watch
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/dosfsck
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/debugfs
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/modinfo
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/lspci
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/hwclock
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/install-info
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mke3fs
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mkfs.msdos
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/ipfwadm*
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/resize2fs
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fuser
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/e2label
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/tune2fs
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/syslinux
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/iptunnel
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/badblocks
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mkfs.minix
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/ipmaddr
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mkswap
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/dumpe2fs
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/rescuept
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/sulogin
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/mingetty
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/rpcdebug
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/rmt
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/swapon
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/sucap
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/setconfig
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/minilogd
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/setpcaps
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/plipconfig
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/accton
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/execcap
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/getpcaps
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/setcap
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/netreport
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/ctrlaltdel

rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/fsck.ext2
rm -f ${BOOT_DIR}/tmp/DOM/base/sbin/insmod.static

cp ${BOOT_DIR}/sbin/pam_filter/* ${BOOT_DIR}/tmp/DOM/base/sbin/pam_filter
##########################################################
echo -e "\t--copying files in lib"
##########################################################
cp -d ${BOOT_DIR}/lib/* ${BOOT_DIR}/tmp/DOM/base/lib
cp -Rd ${BOOT_DIR}/lib/modules/2.4.5-IBM/* ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM

rm -f ${BOOT_DIR}/tmp/DOM/base/lib/libnss_wins*
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/libnss_ldap*
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/libnss_hesiod*
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/libpwdb.*
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/libpam.*

rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/usb/audio.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/usb/mdc800.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/usb/scanner.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/usb/microtek.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/usb/dc2xx.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/cdrom/cdrom.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/ide/ide-cd.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/net/bsd_comp.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/net/natsemi.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/net/ppp*.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/drivers/net/slip.o

rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/fs/isofs/*.o
rm -f ${BOOT_DIR}/tmp/DOM/base/lib/modules/2.4.5-IBM/kernel/fs/smbfs/*.o
##########################################################
echo -e "\t--copy files in local"
##########################################################
chmod 755 ${BOOT_DIR}/tmp/DOM/base/*
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/bin/su
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/bin/ping
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/bin/mount
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/bin/umount
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/sbin/pwdb_chkpwd
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/sbin/unix_chkpwd
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/sbin/gpasswd_chkpwd
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/sbin/passwd_chkpwd
chmod 4755 ${BOOT_DIR}/tmp/DOM/base/sbin/rlogin_chkpwd

save_lib_path=$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/lib:/usr/lib:/usr/local/lib:$LD_LIBRARY_PATH
chroot $BOOT_DIR /sbin/mkcramfs /tmp/DOM/base /IBM/update/base/base.cramfs >/dev/null
tar -cvzf ${BOOT_DIR}/IBM/update/base/base.tgz -C ${BOOT_DIR}/tmp/DOM/base .
export LD_LIBRARY_PATH=$save_lib_path
rm -Rf ${BOOT_DIR}/tmp/DOM/*


