#!/bin/bash
##############################################
  function valid_hwinfo
  {
        echo "Model Number is $DEV_MODEL_NUM "
        echo "Serial Number is $DEV_SERIAL_NUM "
        echo "Is this info correct?  (y/n)" ; read input
   	case $input in
	    [yY] ) ;; 
	    [nN] ) getinfo;;
	    *)
		echo -e "\n\nInvalid Response\n\n"
		valid_hwinfo;;
	esac
  }

  function getinfo
  {
    # prompt for Serial Number and Model Number.
    echo "Please enter the Model Number and Serial Number for this device:"
    echo -n 
    echo -e "Model Number:  "; read DEV_MODEL_NUM
    echo -e "Serial Number: "; read DEV_SERIAL_NUM
    valid_hwinfo;
  }

  getinfo
  echo "ModelNum=$DEV_MODEL_NUM"
  echo "SerialNum=$DEV_SERIAL_NUM"
#echo "debug...   try manual mount here.. "
#/bin/bash
  mount -n -o remount,rw /
  echo "ModelNum=$DEV_MODEL_NUM"  > /VPDinfo
  echo "SerialNum=$DEV_SERIAL_NUM" >> /VPDinfo
  /local/writeNvram  76  $DEV_MODEL_NUM
  /local/writeNvram  77  $DEV_SERIAL_NUM
  sync
  mount -n -o remount,ro /
##############################################
