#! /bin/sh

. /IBM/FlashRecovery/cf_umount.sh

. /IBM/FlashRecovery/cf_partition.sh

. /IBM/FlashRecovery/cf_format.sh

. /IBM/FlashRecovery/cf_mount.sh

if [ "$MODEL_TYPE" = "2200" -o "$MODEL_TYPE" = "2800" ]; then 
	. /IBM/FlashRecovery/cf_devinit.sh
fi

if [ "$MODEL_TYPE" = "N70" -o "$MODEL_TYPE" = "N50" -o  "$MODEL_TYPE" = "BIOS" ]; then
        FLASHMOUNT1=/mnt/serverhost/mnt/hd1     
        FLASHMOUNT2=/mnt/serverhost/mnt/hd2     
else
        FLASHMOUNT1=/mnt/hd1     
        FLASHMOUNT2=/mnt/hd2     
fi

if [ "$MODEL_TYPE" = "2200" -o "$MODEL_TYPE" = "2800" ]; then
        mkdir -p $FLASHMOUNT1/proc
        mkdir -p $FLASHMOUNT2/configs
        mkdir -p $FLASHMOUNT1/tmp
        mkdir -p $FLASHMOUNT1/local/bin
        ln -sf /tmp/var $FLASHMOUNT1/var
        ln -sf /tmp/mnt/home $FLASHMOUNT1/home
fi

mkdir -p $FLASHMOUNT1/image/sdf
mkdir -p $FLASHMOUNT1/image/idf
mkdir -p $FLASHMOUNT1/mnt/update

echo "Compact Flash Initilization Complete"
