#!/bin/sh

OLDPATH=$PATH
export PATH=$PATH:/local

rm /configs/nvram_settings
/local/nvram_rw -BDOT/configs/nvram_settings
# default color depth 16
writeNvram 2 16

writeNvram 3 19
# netmask
writeNvram 11 255.255.255.0
# snmp community names
writeNvram 101 IBMNCD
writeNvram 102 IBMNCD
writeNvram 103 public
writeNvram 104 public
# boot language
writeNvram 1 16
if [ -f /VPDinfo ]; then
	writeNvram 76 `cat /VPDinfo | grep ModelNum | awk -F= '{print $2}'`
	writeNvram 77 `cat /VPDinfo | grep SerialNum | awk -F= '{print $2}'`
fi

writeNvram 85 server
writeNvram 93 fullDHCP

export PATH=$OLDPATH
sync

